Subject: Re: bug#18743: 25.0.50; Clang 3.0 fails to compile src/fns.c, GCC 4.8 cannot dump emacs

From: Peter Dyballa <[email-masked]>
Date: Wed, 6 Dec 2017 19:16:53 +0100

Am 6.12.2017 um 00:13 schrieb Richard Stallman:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
>> Right now I have installed:
> 
>> gcc5 @5.5.0_0 (active)
>> gcc6 @6.4.0_0 (active)
> 
> Would you please test with these.

With the "original" GNU Emacs 25.0.50 the first problem these two compilers have is libjpeg 9b. Configure only finds:

	configure:14428: WARNING: libjpeg found, but not version 6b or later 

Later, when "checking for EGifPutExtensionLast in -lgif," it finds:

	configure:14871: error: The following required libraries were not found:
	     libjpeg
	Maybe some development libraries/packages are missing?
	If you don't want to link with them give
	     --with-jpeg=no
	as options to configure

So, configuring with --with-jpeg=no I can build GNU Emacs – almost:

(with GCC5, known to not work correctly on Mac OS X 10.6.8)
	Fatal error 6: Abort trap
	Backtrace:
	0   bootstrap-emacs                     0x000000010015680e emacs_backtrace + 105
	1   bootstrap-emacs                     0x000000010012feb5 terminate_due_to_signal + 129
	2   bootstrap-emacs                     0x00000001001561b3 deliver_fatal_signal + 0
	3   bootstrap-emacs                     0x0000000100156184 deliver_thread_signal + 146
	4   bootstrap-emacs                     0x00000001001561ee deliver_fatal_thread_signal + 28
	5   libSystem.B.dylib                   0x00007fff813de1ba _sigtramp + 26
	6   bootstrap-emacs                     0x000000010401de86 next_release_must_exit + 60371666
	7   libSystem.B.dylib                   0x00007fff81384195 free + 128
	8   bootstrap-emacs                     0x00000001002829fe rpl_putenv + 330
	9   bootstrap-emacs                     0x00000001001a93aa xputenv + 24
	10  bootstrap-emacs                     0x00000001001c2004 set_time_zone_rule + 280
	11  bootstrap-emacs                     0x00000001001bd60a init_editfns + 166
	12  bootstrap-emacs                     0x000000010013183e main + 4344
	13  bootstrap-emacs                     0x0000000100002590 start + 52
	make[2]: *** [uvs.elc] Abort trap (core dumped)

(with GCC6)
	Fatal error 6: Abort trap
	Backtrace:
	0   bootstrap-emacs                     0x0000000100155634 emacs_backtrace + 105
	1   bootstrap-emacs                     0x000000010012edb0 terminate_due_to_signal + 129
	2   bootstrap-emacs                     0x0000000100154fd9 deliver_fatal_signal + 0
	3   bootstrap-emacs                     0x0000000100154faa deliver_thread_signal + 146
	4   bootstrap-emacs                     0x0000000100155014 deliver_fatal_thread_signal + 28
	5   libSystem.B.dylib                   0x00007fff813de1ba _sigtramp + 26
	6   bootstrap-emacs                     0x000000010401de86 next_release_must_exit + 60375762
	7   libSystem.B.dylib                   0x00007fff81384195 free + 128
	8   bootstrap-emacs                     0x00000001002817a3 rpl_putenv + 330
	9   bootstrap-emacs                     0x00000001001a830e xputenv + 24
	10  bootstrap-emacs                     0x00000001001c0ee1 set_time_zone_rule + 280
	11  bootstrap-emacs                     0x00000001001bc51a init_editfns + 166
	12  bootstrap-emacs                     0x0000000100130739 main + 4344
	13  bootstrap-emacs                     0x0000000100002f38 start + 52
	make[2]: *** [uvs.elc] Abort trap (core dumped)

The config.log files are saved. After dinner I'll check with GNU Emacs 26.0.90.

--
Greetings

  Pete

The box said "Use Windows 95 or better," so I got a Macintosh.